##### windows::overlapped_handle::overlapped_handle (3 of 3 overloads)

Move-construct an `windows::overlapped_handle` from another.

    overlapped_handle(
        overlapped_handle && other);

This constructor moves a handle from one object to another.

###### Parameters

other

  The other `windows::overlapped_handle` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `overlapped_handle(io_context&) constructor`.